%define _requires_exceptions perl(controllib.pl)\\|perl(file)

Summary:	Package maintenance system for Debian Linux
Name:		dpkg
Version:	1.16.8
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Configuration/Packaging
Url:		http://packages.debian.org/unstable/base/dpkg.html
Source0:	ftp://ftp.debian.org/debian/pool/main/d/dpkg/%{name}_%{version}.tar.xz
Source1:	%{name}-pl-man-pages.tar.bz2
Source2:	debsign.sh
Source3:	debsign.1
BuildRequires:	gettext-devel
BuildRequires:	zlib-devel
BuildRequires:	po4a
Provides:	usineagaz = 0.1-0.beta1mdk

%description
This package contains the programs dpkg which used to handle the installation
and removal of packages on a Debian system.

In order to unpack and build Debian source packages you will need
to install the developers' package `dpkg-dev' as well as this one.

dpkg-dev is not provided on your Mandriva Linux system.

%package -n	perl-Dpkg
Summary:	Package maintenance system for Debian Linux
Group:		Development/Perl
BuildArch:	noarch

%description -n	perl-Dpkg
This module provides dpkg functionalities.

%prep
%setup -q

%build
%configure2_5x \
    --enable-shared \
    --disable-dselect \
    --with-admindir=%{_localstatedir}/lib/%{name}

%make

%install
rm -rf %{buildroot}

%makeinstall_std

bzip2 -dc %{SOURCE1} | tar xf - -C %{buildroot}%{_mandir}
install -m 755 %{SOURCE2} %{buildroot}/%{_bindir}/debsign
install -m 644 %{SOURCE3} %{buildroot}/%{_mandir}/man1

# cleanup
rm -fr %{buildroot}%{_datadir}/locale/en/
rm -fr %{buildroot}%{_sysconfdir}/alternatives
rm -f %{buildroot}%{_bindir}/update-alternatives
rm -f %{buildroot}%{_sbindir}/update-alternatives
rm -fr %{buildroot}/usr/share/doc
find %{buildroot} -name "md5sum*" -exec rm -f {} \;
find %{buildroot}%{_mandir} -name "update-alternatives*" -exec rm -f {} \;

%find_lang %{name}
%find_lang dpkg-dev
cat dpkg-dev.lang >> %{name}.lang

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(0755,root,root) %{_bindir}/d*
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/parsechangelog
%attr(0755,root,root) %dir %{_libdir}/%{name}/parsechangelog/debian
%attr(0755,root,root) %{_sbindir}/*
%dir %{_datadir}/%{name}
%dir %{_localstatedir}/lib/%{name}
%{_datadir}/%{name}/cputable
%{_datadir}/%{name}/ostable
%{_datadir}/%{name}/triplettable
%{_datadir}/dpkg/abitable
%{_datadir}/%{name}/*.mk
%{_localstatedir}/lib/%{name}/*
%dir %{_sysconfdir}/%{name}
%{_mandir}/man1/d*
%{_mandir}/man5/*
%{_mandir}/man8/*
%lang(de) %{_mandir}/de/man?/*
%lang(ja) %{_mandir}/ja/man?/*
%lang(pl) %{_mandir}/pl/man?/*
%lang(sv) %{_mandir}/sv/man?/*
%lang(fr) %{_mandir}/fr/man?/*
%lang(hu) %{_mandir}/hu/man?/*
%lang(es) %{_mandir}/es/man?/*
%{_includedir}/dpkg/*
%{_mandir}/man3/*
%{_libdir}/libdpkg.a
%{_libdir}/pkgconfig/libdpkg.pc

%files -n perl-Dpkg
%defattr(-,root,root)
%{perl_vendorlib}/Dpkg
%{perl_vendorlib}/Dpkg.pm


%changelog
* Thu Aug 16 2012 Alexander Khrukin <akhrukin@mandriva.org> 1.16.8-1mdv2012.0
+ Revision: 814948
- version update 1.16.8

* Mon Oct 17 2011 Andrey Bondrov <abondrov@mandriva.org> 1.16.1.1-1
+ Revision: 705034
- New version 1.16.1.1

  + Bruno Cornec <bcornec@mandriva.org>
    - bump dpkg tag to 3
    - debsign.sh renamed to debsign to be more debian compliant

* Thu Mar 24 2011 Bruno Cornec <bcornec@mandriva.org> 1.15.8.4-2
+ Revision: 648406
- Adds debsign script from devscripts_2.10.69+squeeze1

* Mon Aug 23 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.15.8.4-1mdv2011.0
+ Revision: 572150
- drop p0, uneeded now.
- drop p1 && p2, merged upstream.
- add p4 for fix string format
- update file list

* Fri Aug 06 2010 Bruno Cornec <bcornec@mandriva.org> 1.15.5.6-2mdv2011.0
+ Revision: 566523
- Adding the patch file for http://bugs.gentoo.org/show_bug.cgi?id=289094
- Add a patch to fix the bug reported in http://bugs.gentoo.org/show_bug.cgi?id=289094 which is also valid on Mandriva

* Sun Apr 18 2010 Oden Eriksson <oeriksson@mandriva.com> 1.15.5.6-1mdv2010.1
+ Revision: 536359
- 1.15.5.6
- sync patches with fedora
- added the perl sub package

  + Thierry Vignaud <tv@mandriva.org>
    - patch 0: fix format string
    - new release

* Thu Jul 30 2009 Thierry Vignaud <tv@mandriva.org> 1.13.26-1mdv2010.0
+ Revision: 404636
- new release (basic lzma support (needed for alien))
- BR po4a

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.13.11-4mdv2009.0
+ Revision: 244523
- rebuild

  + Pixel <pixel@mandriva.com>
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Fri Dec 21 2007 Olivier Blin <blino@mandriva.org> 1.13.11-2mdv2008.1
+ Revision: 136373
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Jérôme Soyer <saispo@mandriva.org>
    - import dpkg

